export * from '@graphql-toolkit/common';
export * from '@graphql-toolkit/core';
export * from '@graphql-toolkit/file-loading';
export * from '@graphql-toolkit/schema-merging';
import { LoadFromUrlOptions } from '@graphql-toolkit/url-loader';
import { CodeFileLoaderOptions } from '@graphql-toolkit/code-file-loader';
import { GraphQLFileLoaderOptions } from '@graphql-toolkit/graphql-file-loader';
import { Source, Loader } from '@graphql-toolkit/common';
import { GraphQLSchema, BuildSchemaOptions } from 'graphql';
import { LoadTypedefsOptions } from '@graphql-toolkit/core';
export declare const DEFAULT_SCHEMA_LOADERS: Loader[];
export declare const DEFAULT_DOCUMENTS_LOADERS: Loader[];
export declare function loadTypedefs(pointerOrPointers: string | string[], options?: LoadTypedefsOptions<LoadFromUrlOptions | CodeFileLoaderOptions | GraphQLFileLoaderOptions>, filterKinds?: string[], cwd?: string, loaders?: Loader[]): Promise<Source[]>;
export declare function loadDocuments(pointerOrPointers: string | string[], options?: LoadTypedefsOptions<CodeFileLoaderOptions | GraphQLFileLoaderOptions>, cwd?: string, loaders?: Loader[]): Promise<Source[]>;
export declare function loadSchema(pointerOrPointers: string | string[], options?: BuildSchemaOptions & LoadTypedefsOptions<CodeFileLoaderOptions | GraphQLFileLoaderOptions>, cwd?: string, loaders?: Loader[]): Promise<GraphQLSchema>;
