export * from '@graphql-toolkit/common';
import { loadTypedefsUsingLoaders, loadDocumentsUsingLoaders, loadSchemaUsingLoaders } from '@graphql-toolkit/core';
export * from '@graphql-toolkit/core';
export * from '@graphql-toolkit/file-loading';
export * from '@graphql-toolkit/schema-merging';
import { JsonFileLoader } from '@graphql-toolkit/json-file-loader';
import { UrlLoader } from '@graphql-toolkit/url-loader';
import { CodeFileLoader } from '@graphql-toolkit/code-file-loader';
import { GraphQLFileLoader } from '@graphql-toolkit/graphql-file-loader';

const DEFAULT_SCHEMA_LOADERS = [new UrlLoader(), new JsonFileLoader(), new GraphQLFileLoader(), new CodeFileLoader()];
const DEFAULT_DOCUMENTS_LOADERS = [new GraphQLFileLoader(), new CodeFileLoader()];
async function loadTypedefs(pointerOrPointers, options = {}, filterKinds = [], cwd = process.cwd(), loaders = DEFAULT_SCHEMA_LOADERS) {
    return loadTypedefsUsingLoaders(loaders, pointerOrPointers, options, filterKinds, cwd);
}
async function loadDocuments(pointerOrPointers, options = {}, cwd = process.cwd(), loaders = DEFAULT_DOCUMENTS_LOADERS) {
    return loadDocumentsUsingLoaders(loaders, pointerOrPointers, options, cwd);
}
async function loadSchema(pointerOrPointers, options = {}, cwd = process.cwd(), loaders = DEFAULT_SCHEMA_LOADERS) {
    return loadSchemaUsingLoaders(loaders, pointerOrPointers, options, cwd);
}

export { DEFAULT_DOCUMENTS_LOADERS, DEFAULT_SCHEMA_LOADERS, loadDocuments, loadSchema, loadTypedefs };
